6

In a TeXLive installation profile, can I specify a specific version or do I just get what I get?

I'm having versioning conflicts inside a Docker container which is supposed to be able to reliably build historical, tagged versions of my documentation, but (for reasons I've yet to completely ascertain) some difference between TeXLive 2007 and TeXLive 2015 (or package versions thereof) is preventing a build.

Ideally in this container I'd like to install TeXLive 2007, rather than TeXLive 2015, to match the environment in which the documents were originally created.

I am installing with install-tl because CentOS 6 does not distribute tlmgr and I want fine control of TeX package installation.

  • 1
    You can't install "historical" versions of TL using the default installer (at least, I don't think you can). But you can download any old version you like from here. Of course, you do realize that having multiple versions of TL installed for your various containers will quickly eat up disk space! – jon Oct 25 '15 at 16:11
  • @jon: That's not really avoidable; each container has its own toolchain anyway. I'm prepared for containers to take a few hundred megs; indeed, this is one of the reasons I'm using tlmgr, so I only install what I need. :) Anyway, if the default installer can't do this then that's the answer so I'd accept it if posted as such. – Lightness Races in Orbit Oct 25 '15 at 16:22
  • I'm happy to write that as an answer. However, you may also find this other answer of mine of interest. You can effectively create individual LaTeX file containers for each file you have written. The one thing to note in that case is that you won't be using the exact same engine as you were back (say) in 2007. See also this related answer. – jon Oct 25 '15 at 16:43
10

Contrary to the accepted answer, it is possible to install an older version of TeX Live by pointing the TeX Live installer to a repository from the archive of historical versions of TeX Live. This is how you would install TeX Live 2015:

./install-tl -repository ftp://tug.org/historic/systems/texlive/2015/tlnet-final

It may be necessary to use the TeX Live installer for the specific TeX Live version, such as ftp://tug.org/historic/systems/texlive/2015/tlnet-final/install-tl.zip for TeX Live 2015.

  • 1
    Indeed a network installation possible all the way back to TeX Live 2011. It also works with HTTP using these links: ftp.math.utah.edu/pub/tex/historic/systems/texlive/2011/… and ./install-tl -repository http://ftp.math.utah.edu/pub/tex/historic/systems/texlive/2011/tlnet-final . TeX Live 2010 installs, but tlmgr is broken with Perl 5.24 on Linux (shows Perl errors). – pts Jan 17 at 15:58
  • 1
    You are exactly right. I see you discovered this thread before I even responded on the mailing list. – Witiko Jan 21 at 22:28
5

An unofficial convenient installer of old TeX Live releases is now available from https://github.com/pts/historic-texlive .

It works on all Unix platforms, i.e. all platforms except for Windows (or Cygwin).

2

The TeX Live installer is designed (I believe) to install only the current version of TeX Live, which means older versions are effectively "unmaintained". Of course, usually this is not a problem when you are purposely trying to use or access older packages.

So what you want to do is install the version you need. You can access older versions from this webpage: https://www.tug.org/texlive/acquire.html (click on the "Older releases of TeX Live" link).

As each TeX Live release is fairly large, you might want to consider trimming down the files you keep. For instance, in TL2015, the "doc" folder is 1.7 GB while fonts are 1.6 GB. If the purpose of the install is merely so you can recreate a few PDFs (etc.), you might want to consider removing some of the stuff you don't need.

Another idea would be to use the bundledoc and arlatex packages to create self-contained files that include precisely the version of each package which your .tex file needs. For this, you can look at these other answers of mine:

Presumably, you could use the bundledoc+arlatex solution after you've installed the historical version of TeX Live of your choice, and then delete all the superfluous packages, fonts, and documentation. This should result in a very small Docker container.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.